/*
 *  This file is part of ixemul.library for the Amiga.
 *  Copyright (C) 1991, 1992  Markus M. Wild
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#define KERNEL
#include "ixemul.h"

#undef DEBUG

#ifdef DEBUG
#define DP(a) kprintf a
#else
#define DP(a)
#endif

#define BASE_EXT_DECL
#define BASE_PAR_DECL	struct ixemul_base *ixbase,
#define BASE_PAR_DECL0	struct ixemul_base *ixbase
#define BASE_NAME	ixbase->ix_intui_base
#include <inline/intuition.h>

void
ix_expunge (struct ixemul_base *ixbase)
{
#if 0
  /* no longer remembered */

  /* free kmalloc() area */
  if (ixbase->ix_md.md_key) 
    {
DP(("ix_expunge: freeing kmalloc-memory\n"));
#ifdef DEBUG
      check_kalloc();
      dump_remember (& ixbase->ix_md);
#endif
      FreeRemember (ixbase, & ixbase->ix_md.md_key, 1);
DP(("ix_expunge: freed\n"));
    }
#endif

  CloseLibrary (ixbase->ix_mdt_base);
  CloseLibrary (ixbase->ix_md_base);
  CloseLibrary (ixbase->ix_mst_base);
  CloseLibrary (ixbase->ix_ms_base);
  
  CloseLibrary (ixbase->ix_arp_base);
  
DP(("ix_expunge: freeing file table\n"));
  FreeMem (ixbase->ix_file_tab, ixbase->ix_nfile * sizeof (struct file));
DP(("ix_expunge: done\n"));
}
